<app-spinner *ngIf='loading'></app-spinner>
<div *ngIf='!loading'>

  <app-admin-nav-bar></app-admin-nav-bar>

  <div fxLayout="row" fxLayoutAlign="center center">

    <md-card fxFlex="80">
      <form [formGroup]="settingsForm" fxLayout="column">

        <div fxLayout="row" fxFlex="10" fxLayoutAlign="end center">
          <button md-raised-button fxFlex="30" (click)="save()" class='red-button top'>Save</button>
        </div>

        <div fxLayout="row" fxFlex="10">

          <div fxFlex="30">
            <h4>Time of last order</h4>
          </div>

          <div fxFlex="40"></div>

          <div fxFlex="30">
            <h4>Active Currency</h4>
          </div>

        </div>

        <div fxLayout="row" fxFlex="10" fxLayoutAlign="center center">

          <md-input-container fxFlex="30">
            <input mdInput type="time" formControlName="deadline" [(ngModel)]="settings.deadline">
          </md-input-container>

          <div fxFlex="40"></div>

          <md-select formControlName="currency" [(ngModel)]="settings.currency" fxFlex="30">
            <md-option *ngFor="let currency of currencyMap" [value]="currency" [innerHTML]="currency"></md-option>
          </md-select>

        </div>

        <div fxFlex="30">
          <h4>Notes</h4>
          <textarea rows="7" htmlEditor formControlName="notes" [(ngModel)]="settings.notes"></textarea>

        </div>

        <div fxFlex="30">
          <h4>Terms of Service</h4>
          <textarea rows="7" htmlEditor formControlName="terms" [(ngModel)]="settings.terms"></textarea>
        </div>

        <div fxFlex="30">
          <h4>Privacy Policy</h4>
          <textarea rows="7" htmlEditor formControlName="policy" [(ngModel)]="settings.policy"></textarea>
        </div>

        <div fxLayout="row" fxFlex="10" fxLayoutAlign="end center">
          <button md-raised-button fxFlex="30" (click)="save()" class='red-button bottom'>Save</button>
        </div>
      </form>
    </md-card>

  </div>
</div>
